@import "tailwindcss";

.font-inter {
  font-family: var(--font-inter), sans-serif;
}

.font-kanit {
  font-family: var(--font-kanit), sans-serif;
}

@keyframes translateY-animation {
  0%, 100% {
    transform: translateY(15px);
  }
  50% {
    transform: translateY(-15px);
  }
}

.animate-translate-y {
  animation: translateY-animation 2s linear infinite;
}


.bg-square{
  background: url(/assets/img/bg-square.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

@media (min-width: 95rem) {
  .container {
      max-width: 85rem;
  }
}

.stat-box {
  background: linear-gradient(#fbfbfbf5, #fffffff0) padding-box padding-box, linear-gradient(145deg, #f78b26e1 20%, #c4262e, #ffda4e) border-box !important;
  transition: all .5s ease;
}

.stat-box:hover {
  box-shadow: -5px 5px 8px #c4c4c4;
  transition: all .5s ease;
}

.form-box {
  background: linear-gradient(#fff, #fff) padding-box padding-box, linear-gradient(145deg, #c4262e 20%, #ff8900, #f7a74a) border-box !important;
  transition: all 0.3s ease;
}

.patern {
  width: 100%;
  height: 100%;
  /* Add your background pattern here */
  background: rgba(29, 31, 32, 0)
    radial-gradient(rgba(255, 0, 0, 0.356) 10%, transparent 1%);

  background-size: 11px 11px;
}

.vanta-globe canvas{
  border-radius: 20px !important;
}



.steps-container {
  display: flex;
  gap: 16px;
}

.step-card {
  flex: 1;
  background: #ffffff;
  border-radius: 16px;
  padding: 24px;
  position: relative;
  cursor: pointer;
  transition: all 0.4s ease;
  min-height: 390px;
  box-shadow: 0px 0px 10px #dddddd;
}

.step-card.active {
  flex: 2.5;
  background: #c5262e;
  color: #fff;
}

.step-number {
  font-size: 14px;
  font-weight: 600;
  opacity: 0.8;
}

.step-description {
  margin-top: 20px;
  font-size: 16px;
  line-height: 1.6;
}

.toggle-btn {
  position: absolute;
  bottom: 24px;
  left: 24px;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  border: none;
  font-size: 24px;
  cursor: pointer;
}



@media (max-width: 991px) {
  .steps-container{
    flex-direction: column;
  }
  .step-card{
    min-height: 120px;
  }
  .step-card.active{
    min-height: 320px;
  }
  .toggle-btn{
    bottom: auto;
    left: auto;
    right: 20px;
    top: 20px;
  }
}


.cds svg{
  fill: #FFFFFF !important;
}

/* .css-1hgcujo-MuiPickersInputBase-root-MuiPickersOutlinedInput-root{
  border-radius: 50px !important;
  padding: 0 20px !important;
} */


/* From Uiverse.io by kennyotsu-monochromia */ 
.button {
  --black: #d81515;
  --ch-black: #d10d0d;
  --eer-black: #db0a0a;
  --night-rider: #2e2e2e;
  --white: #ffffff;
  --af-white: #f3f3f3;
  --ch-white: #e1e1e1;
  border-radius: 8px;
  width: auto;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 5px 15px;
  border: none;
  color: white;
  position: relative;
  cursor: pointer;
  font-weight: 500;
  font-size: 18px;
  transition-duration: .2s;
  background-color: var(--ch-black);
}

.button:before, .button:after {
  content: '';
  position: absolute;
  left: -2px;
  top: -2px;
  border-radius: 10px;
  background: linear-gradient(45deg, 
  var(--ch-black), var(--eer-black),
  var(--night-rider), var(--ch-white), var(--night-rider), 
	var(--eer-black), var(--ch-black),var(--ch-black));
  background-size: 400%;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  z-index: -1;
  animation: steam 20s linear infinite;
}

@keyframes steam {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}

.button:after {
  filter: blur(50px);
}


/* Flip Card */ 
.card {
  overflow: visible;
  width: 100%;
  height: 300px;
}

.content {
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transition: transform 300ms;
  box-shadow: 0px 0px 10px 1px #0000009f;
  border-radius: 5px;
}

.front, .back {
  background-color: #c4262c;
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  border-radius: 5px;
  overflow: hidden;
}

.back {
  width: 100%;
  height: 100%;
  justify-content: center;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.back::before {
  position: absolute;
  content: ' ';
  display: block;
  width: 160px;
  height: 160%;
  background: linear-gradient(90deg, transparent, #ff9966, #ff9966, #ff9966, #ff9966, transparent);
  animation: rotation_481 5000ms infinite linear;
}

.back-content {
  position: absolute;
  width: 99%;
  height: 99%;
  background: linear-gradient(127deg,rgba(255, 82, 82, 1) 0%, #c4262c 50%);;
  border-radius: 5px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.card:hover .content {
  transform: rotateY(180deg);
}

@keyframes rotation_481 {
  0% {
    transform: rotateZ(0deg);
  }

  0% {
    transform: rotateZ(360deg);
  }
}

.front {
  transform: rotateY(180deg);
  color: white;
}

.front .front-content {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 10px;
  display: flex;
  padding: 25px;
  flex-direction: column;
  justify-content: center;
}

.front-content .badge {
  background-color: #00000055;
  padding: 2px 10px;
  border-radius: 10px;
  backdrop-filter: blur(2px);
  width: fit-content;
}

.description {
  box-shadow: 0px 0px 10px 5px #00000088;
  width: 100%;
  padding: 10px;
  background-color: #00000099;
  backdrop-filter: blur(5px);
  border-radius: 5px;
}

.title {
  font-size: 11px;
  max-width: 100%;
  display: flex;
  justify-content: space-between;
}

.title p {
  width: 50%;
}

.card-footer {
  color: #ffffff88;
  margin-top: 5px;
  font-size: 8px;
}

.front .img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.circle {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: #ffbb66;
  position: relative;
  filter: blur(90px);
  animation: floating 2600ms infinite linear;
}

#bottom {
  background-color: #ff8866;
  left: 50px;
  top: 0px;
  width: 150px;
  height: 150px;
  animation-delay: -800ms;
}

#right {
  background-color: #ff2233;
  left: 160px;
  top: -80px;
  width: 30px;
  height: 30px;
  animation-delay: -1800ms;
}

@keyframes floating {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(0px);
  }
}
